Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I recently acquired a Raspberry Pi, and have installed Debian Squeeze on it, and after doing a small bit of research (I'm not too proficient with Linux) I found and ordered a USB wireless dongle ("LevelOne WUA-0605 N_Max Wireless USB Adapter") that appears to have support for Linux.

This is the page I found that looks like it says the dongle has a Linux driver. I installed (what I think) was the driver package, firmware-ralink. Now I'm not sure what i need to do to make it work. lsusb lists the device as

Bus 001 Device 008: ID 0bda:8172 Realtek Semiconductor Corp.
    RTL8191SU 802.11n wLAN Adapter
share|improve this question

1 Answer 1

up vote 3 down vote accepted

Your problem may be that the Raspberry-Pi uses an arm cpu whereas most linux computers use intel/amd.

Here on the Raspberry-Pi wiki there is a list of tested usb wifi dongles. If you cannot get yours to work or cannot get the correct driver then you may consider buying one of these.

If you have a model b and can connect your pi to the internet try sudo apt-get install firmware-ralink If you cannot get it to work then the pi forums would be a better place to ask for help because they will give you more specialized answers.

Good Luck.

share|improve this answer
    
in most post i said that i have already tried installing firmware-ralink –  Whyrusleeping Jul 7 '12 at 17:33
    
I know you did, I just suggested trying another method. You can probably get your dongle to work, just make sure that you take into account the fact that the Pi uses ARM. –  Sudo Bash Jul 7 '12 at 22:20

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.